/*
 Navicat Premium Data Transfer

 Source Server         : 47.96.236.169
 Source Server Type    : MySQL
 Source Server Version : 80028
 Source Host           : 47.96.236.169:33306
 Source Schema         : iot_job

 Target Server Type    : MySQL
 Target Server Version : 80028
 File Encoding         : 65001

 Date: 08/08/2023 14:18:19
*/

CREATE database if NOT EXISTS `iot_job` default character set utf8mb4 collate utf8mb4_unicode_ci;
use `iot_job`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for hs_api_job
-- ----------------------------
DROP TABLE IF EXISTS `hs_api_job`;
CREATE TABLE `hs_api_job` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务标识',
  `api_id` varchar(255) NOT NULL COMMENT 'api标识',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='Api调度任务';

-- ----------------------------
-- Table structure for xxl_job_group
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_group`;
CREATE TABLE `xxl_job_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `app_name` varchar(64) NOT NULL COMMENT '执行器AppName',
  `title` varchar(12) NOT NULL COMMENT '执行器名称',
  `address_type` tinyint NOT NULL DEFAULT '0' COMMENT '执行器地址类型：0=自动注册、1=手动录入',
  `address_list` text COMMENT '执行器地址列表，多地址逗号分隔',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_info
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_info`;
CREATE TABLE `xxl_job_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_group` int NOT NULL COMMENT '执行器主键ID',
  `job_desc` varchar(255) NOT NULL,
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `author` varchar(64) DEFAULT NULL COMMENT '作者',
  `alarm_email` varchar(255) DEFAULT NULL COMMENT '报警邮件',
  `schedule_type` varchar(50) NOT NULL DEFAULT 'NONE' COMMENT '调度类型',
  `schedule_conf` varchar(128) DEFAULT NULL COMMENT '调度配置，值含义取决于调度类型',
  `misfire_strategy` varchar(50) NOT NULL DEFAULT 'DO_NOTHING' COMMENT '调度过期策略',
  `executor_route_strategy` varchar(50) DEFAULT NULL COMMENT '执行器路由策略',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_block_strategy` varchar(50) DEFAULT NULL COMMENT '阻塞处理策略',
  `executor_timeout` int NOT NULL DEFAULT '0' COMMENT '任务执行超时时间，单位秒',
  `executor_fail_retry_count` int NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `glue_type` varchar(50) NOT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) DEFAULT NULL COMMENT 'GLUE备注',
  `glue_updatetime` datetime DEFAULT NULL COMMENT 'GLUE更新时间',
  `child_jobid` varchar(255) DEFAULT NULL COMMENT '子任务ID，多个逗号分隔',
  `trigger_status` tinyint NOT NULL DEFAULT '0' COMMENT '调度状态：0-停止，1-运行',
  `trigger_last_time` bigint NOT NULL DEFAULT '0' COMMENT '上次调度时间',
  `trigger_next_time` bigint NOT NULL DEFAULT '0' COMMENT '下次调度时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_lock
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_lock`;
CREATE TABLE `xxl_job_lock` (
  `lock_name` varchar(50) NOT NULL COMMENT '锁名称',
  PRIMARY KEY (`lock_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_log
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log`;
CREATE TABLE `xxl_job_log` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `job_group` int NOT NULL COMMENT '执行器主键ID',
  `job_id` int NOT NULL COMMENT '任务，主键ID',
  `executor_address` varchar(255) DEFAULT NULL COMMENT '执行器地址，本次执行的地址',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_sharding_param` varchar(20) DEFAULT NULL COMMENT '执行器任务分片参数，格式如 1/2',
  `executor_fail_retry_count` int NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `trigger_time` datetime DEFAULT NULL COMMENT '调度-时间',
  `trigger_code` int NOT NULL COMMENT '调度-结果',
  `trigger_msg` text COMMENT '调度-日志',
  `handle_time` datetime DEFAULT NULL COMMENT '执行-时间',
  `handle_code` int NOT NULL COMMENT '执行-状态',
  `handle_msg` text COMMENT '执行-日志',
  `alarm_status` tinyint NOT NULL DEFAULT '0' COMMENT '告警状态：0-默认、1-无需告警、2-告警成功、3-告警失败',
  PRIMARY KEY (`id`),
  KEY `I_trigger_time` (`trigger_time`),
  KEY `I_handle_code` (`handle_code`)
) ENGINE=InnoDB AUTO_INCREMENT=14443382 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_log_report
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log_report`;
CREATE TABLE `xxl_job_log_report` (
  `id` int NOT NULL AUTO_INCREMENT,
  `trigger_day` datetime DEFAULT NULL COMMENT '调度-时间',
  `running_count` int NOT NULL DEFAULT '0' COMMENT '运行中-日志数量',
  `suc_count` int NOT NULL DEFAULT '0' COMMENT '执行成功-日志数量',
  `fail_count` int NOT NULL DEFAULT '0' COMMENT '执行失败-日志数量',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_trigger_day` (`trigger_day`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=325 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_logglue
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_logglue`;
CREATE TABLE `xxl_job_logglue` (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务，主键ID',
  `glue_type` varchar(50) DEFAULT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) NOT NULL COMMENT 'GLUE备注',
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_registry
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_registry`;
CREATE TABLE `xxl_job_registry` (
  `id` int NOT NULL AUTO_INCREMENT,
  `registry_group` varchar(50) NOT NULL,
  `registry_key` varchar(255) NOT NULL,
  `registry_value` varchar(255) NOT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `i_g_k_v` (`registry_group`,`registry_key`,`registry_value`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- ----------------------------
-- Table structure for xxl_job_user
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_user`;
CREATE TABLE `xxl_job_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL COMMENT '账号',
  `password` varchar(50) NOT NULL COMMENT '密码',
  `role` tinyint NOT NULL COMMENT '角色：0-普通用户、1-管理员',
  `permission` varchar(255) DEFAULT NULL COMMENT '权限：执行器ID列表，多个逗号分割',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


-- ----------------------------
-- Records of hs_api_job
-- ----------------------------
BEGIN;
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (1, 2, 'j0BpIQhp', '2022-09-23 12:32:13');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (2, 3, '9xFhax2y', '2022-09-24 08:05:07');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (3, 4, 'UDzGSkeZ', '2022-09-24 09:24:21');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (4, 5, 'CQ9VkAr9', '2022-09-24 09:49:48');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (5, 6, 'bw6ULlLe', '2022-09-24 23:20:41');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (6, 7, 'N8sgjOWD', '2022-09-25 22:26:44');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (7, 8, 'tCoVivD8', '2022-09-26 13:38:16');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (8, 9, 'O3KlnSsU', '2022-09-26 14:05:34');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (9, 10, 'EnFpExkx', '2022-09-27 23:30:01');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (10, 11, 'K4QZT40A', '2022-09-28 14:49:53');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (12, 13, 'xfXpHIg0', '2022-09-29 15:11:37');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (13, 14, 'hGLKRYiu', '2022-10-09 23:36:54');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (14, 15, 'kU15HMrE', '2022-10-10 11:38:43');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (15, 16, '5SeUCRJy', '2022-10-10 12:27:08');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (16, 17, 'wFz52Yb1', '2022-10-10 12:30:16');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (17, 18, 'B1ANmtET', '2022-10-16 00:45:28');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (18, 19, '7TVjkWPy', '2022-11-02 16:48:27');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (19, 20, 'IHQJLVtr', '2022-11-03 17:42:59');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (20, 21, 'HYORZYyI', '2022-11-03 17:43:35');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (21, 22, 'VyCtYO0f', '2022-11-03 18:39:46');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (22, 23, 'EeBkndxU', '2022-11-12 13:35:21');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (23, 24, 'FNMVwfcu', '2022-11-12 13:36:01');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (24, 25, 'RSuNGzhs', '2022-11-12 13:36:37');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (25, 26, 'cD4sCi7I', '2022-11-15 13:25:47');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (26, 27, '0qLjHowN', '2022-11-15 13:55:43');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (27, 28, 'v7p2AAqp', '2022-11-15 14:26:00');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (28, 29, 'pjYii91f', '2022-11-16 02:05:50');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (29, 30, 'YM5183P7', '2022-11-29 21:00:53');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (30, 31, '5McuqqRW', '2022-11-30 17:11:23');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (31, 32, 'relN3Q8Q', '2022-12-05 17:54:37');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (32, 33, '1amyDI0t', '2023-01-04 17:21:26');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (33, 34, 'c4GbWKlb', '2023-01-12 14:00:18');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (34, 35, 'CBwIhABd', '2023-02-21 13:49:03');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (35, 36, 'VAn0KXIK', '2023-02-23 14:54:59');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (36, 37, 'kRnlmAc2', '2023-02-23 14:57:47');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (37, 38, 'dTh8vJ0X', '2023-02-24 23:41:19');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (38, 39, 'ZwOIf9HG', '2023-02-28 10:33:26');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (39, 40, 'soWGWcwj', '2023-02-28 11:29:02');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (40, 41, 'TVCRetxT', '2023-02-28 16:12:10');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (41, 42, 'bg7i9UIX', '2023-02-28 17:44:21');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (42, 43, 'AQQK2Ega', '2023-03-01 10:59:33');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (43, 44, 'vKDBdbvA', '2023-04-10 20:30:49');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (44, 45, '9IwIMzRf', '2023-04-10 20:31:18');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (45, 46, 'BWFnM92S', '2023-04-17 13:44:28');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (46, 47, 'Uop5ioDg', '2023-04-17 13:54:37');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (47, 48, '4nITQagX', '2023-04-25 18:28:23');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (48, 49, '3qxDmpBG', '2023-06-05 11:31:57');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (49, 50, 'HtgA8FbR', '2023-06-29 09:13:22');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (50, 51, 'MsRKsiUV', '2023-07-05 13:16:37');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (51, 52, 'yBjFp1tx', '2023-07-11 09:27:03');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (52, 53, '7BlefeCW', '2023-07-27 15:21:00');
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (53, 54, '73T52QSe', '2023-08-05 09:26:13');
COMMIT;

-- ----------------------------
-- Records of xxl_job_group
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (1, 'xxl-job-executor-sample', '示例执行器', 0, NULL, '2023-08-08 14:18:49');
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (4, 'dbapi-job-executor', 'dbapi', 0, 'http://10.227.5.238:8888/', '2023-08-08 14:18:49');
COMMIT;

-- ----------------------------
-- Records of xxl_job_info
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (1, 1, '测试任务1', '2018-11-03 22:21:31', '2018-11-03 22:21:31', 'XXL', '', 'CRON', '0 0 0 * * ? *', 'DO_NOTHING', 'FIRST', 'demoJobHandler', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2018-11-03 22:21:31', '', 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (2, 4, '????', '2022-09-23 12:32:13', '2022-09-29 00:10:13', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_test', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-23 12:32:13', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (3, 4, 'junlin_hous_key', '2022-09-24 08:05:07', '2022-10-20 21:23:29', 'dbapi', NULL, 'CRON', '*/10 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/junlin_hous_key', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-24 08:05:07', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (4, 4, 'set_tcode_base', '2022-09-24 09:24:21', '2022-10-20 14:30:03', 'dbapi', '', 'CRON', '0 */5 * * * ? *', 'DO_NOTHING', 'FIRST', '', 'http://localhost:8520/api/set_tcode_base', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-24 09:24:21', '', 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (5, 4, 'f_rep_hour_key_detail', '2022-09-24 09:49:48', '2022-11-04 00:37:17', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_hour_key_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-24 09:49:48', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (6, 4, 'f_func_rep_test', '2022-09-24 23:20:41', '2023-06-07 10:11:40', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_func_rep_test', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-24 23:20:41', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (7, 4, 'f_rep_hour_key_sum', '2022-09-25 22:26:44', '2022-11-03 15:23:25', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_hour_key_sum', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-25 22:26:44', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (8, 4, '生产-每小时保存能耗数据', '2022-09-26 13:38:16', '2022-11-15 22:41:30', 'dbapi', NULL, 'CRON', '*/10 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_set_hour_key_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-26 13:38:16', NULL, 1, 1691475550000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (10, 4, 'f_rep_days_hours_device', '2022-09-27 23:30:01', '2022-09-29 13:47:12', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_days_hours_device', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-27 23:30:01', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (11, 4, 'f_junlin_rep_out_key', '2022-09-28 14:49:53', '2022-09-28 14:49:53', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_junlin_rep_out_key', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-28 14:49:53', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (13, 4, 'f_trep_group_detail', '2022-09-29 15:11:37', '2023-05-16 09:29:16', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_trep_group_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-09-29 15:11:37', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (14, 4, 'f_trep_day_detail', '2022-10-09 23:36:54', '2022-11-15 15:55:42', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_trep_day_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-10-09 23:36:54', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (15, 4, 'f_rep_device_days_detail', '2022-10-10 11:38:43', '2022-10-11 12:06:28', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_device_days_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-10-10 11:38:43', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (16, 4, 'f_rep_device_groups_detail', '2022-10-10 12:27:08', '2022-11-04 00:33:28', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_device_groups_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-10-10 12:27:08', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (17, 4, 'f_rep_device_months_detail', '2022-10-10 12:30:16', '2022-10-11 12:13:20', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_device_months_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-10-10 12:30:16', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (18, 4, '生产-当前状态持续时长统计', '2022-10-16 00:45:28', '2023-06-02 09:33:11', 'dbapi', NULL, 'CRON', '*/20 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_set_sta_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-10-16 00:45:28', NULL, 1, 1691475540000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (19, 4, '生产-保存每日能耗数据-停用', '2022-11-02 16:48:27', '2022-11-16 01:45:39', 'dbapi', NULL, 'CRON', '*/30 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_set_days_key_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-02 16:48:27', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (20, 4, 'f_rep_group_key_sum', '2022-11-03 17:42:59', '2023-02-07 16:19:23', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_group_key_sum', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-03 17:42:59', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (21, 4, 'f_rep_yesterday_key_sum', '2022-11-03 17:43:35', '2022-11-03 18:25:47', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_yesterday_key_sum', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-03 17:43:35', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (22, 4, 'f_rep_device_lastDays_detail', '2022-11-03 18:39:46', '2022-11-03 18:44:56', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_device_lastDays_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-03 18:39:46', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (23, 4, '生产-每小时保存开停机变化数据', '2022-11-12 13:35:21', '2022-11-14 13:52:42', 'dbapi', NULL, 'CRON', '*/20 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_set_hours_switch_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-12 13:35:21', NULL, 1, 1691475540000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (24, 4, '生产-班组保存开停机状态', '2022-11-12 13:36:01', '2023-08-03 19:49:24', 'dbapi', '', 'CRON', '0 */1 * * * ? *', 'DO_NOTHING', 'FIRST', '', 'http://localhost:8520/api/f_set_group_switch_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-12 13:36:01', '', 1, 1691475540000, 1691475600000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (25, 4, '生产-每日保存开停机数据', '2022-11-12 13:36:37', '2022-11-14 13:53:12', 'dbapi', NULL, 'CRON', '*/20 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_set_day_switch_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-12 13:36:37', NULL, 1, 1691475540000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (26, 4, '南泰君霖对外接口-班组能耗查询', '2022-11-15 13:25:47', '2022-11-17 10:26:07', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/v1_group_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-15 13:25:47', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (27, 4, '南泰君霖对外接口-班组开停机状态查询', '2022-11-15 13:55:43', '2023-07-04 08:45:28', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/v1_switch_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-15 13:55:43', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (28, 4, '南泰君霖对外接口-设备实时采集数据查询', '2022-11-15 14:26:00', '2022-11-15 14:27:36', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/v1_device_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-15 14:26:00', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (29, 4, '生产-君霖定制处理缓存数据', '2022-11-16 02:05:50', '2023-08-05 12:10:23', 'dbapi', NULL, 'CRON', '*/20 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_junlin_temp_cache', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-16 02:05:50', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (30, 4, '君霖数据重算', '2022-11-29 21:00:53', '2023-05-08 11:11:54', 'dbapi', NULL, 'CRON', '0 2 8 * * ?', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/junlin_auto_energy', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-29 21:00:53', NULL, 1, 1691452920000, 1691539320000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (31, 4, 'f_trep_group_sta_detail', '2022-11-30 17:11:23', '2023-06-28 15:18:05', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_trep_group_sta_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-11-30 17:11:23', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (32, 4, '自定义大屏看板', '2022-12-05 17:54:37', '2022-12-05 17:55:39', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/public_screen_device_sta', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2022-12-05 17:54:37', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (33, 4, 'f_rep_month_key_sum', '2023-01-04 17:21:26', '2023-01-04 17:39:30', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_rep_month_key_sum', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-01-04 17:21:26', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (34, 4, '修复生产设备列表排序为空的问题', '2023-01-12 14:00:18', '2023-06-06 17:35:44', 'dbapi', NULL, 'CRON', '*/30 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_tmp_update_device_sort', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-01-12 14:00:18', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (35, 4, '区间能耗报表', '2023-02-21 13:49:03', '2023-02-25 01:10:07', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/qj_column', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-21 13:49:03', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (36, 4, 'getTest', '2023-02-23 14:54:59', '2023-02-23 14:54:59', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/getTest', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-23 14:54:59', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (37, 4, 'getTest', '2023-02-23 14:57:47', '2023-02-23 14:57:47', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/getTest', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-23 14:57:47', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (38, 4, '报表分组统计', '2023-02-24 23:41:19', '2023-02-25 00:07:21', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/get_report_grpname', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-24 23:41:19', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (39, 4, 'getWorkshopListTest', '2023-02-28 10:33:26', '2023-02-28 11:02:10', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/getWorkshopListTest', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-28 10:33:26', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (40, 4, 'getFactoryListTest', '2023-02-28 11:29:02', '2023-02-28 11:29:02', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/getFactoryListTest', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-28 11:29:02', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (41, 4, '生产调试', '2023-02-28 16:12:10', '2023-06-07 10:04:17', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/daling', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-28 16:12:10', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (42, 4, 'getProcessApIList', '2023-02-28 17:44:21', '2023-02-28 17:44:21', 'dbapi', NULL, 'CRON', '* * * * */1 ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/getProcessApIList', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-02-28 17:44:21', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (43, 4, 'getTenantOne', '2023-03-01 10:59:33', '2023-03-01 11:02:53', 'dbapi', NULL, 'CRON', '* * * * */1 ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/getTenantOne', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-03-01 10:59:33', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (44, 4, 'f_set_yield_detail', '2023-04-10 20:27:42', '2023-04-10 20:27:51', 'dbapi', '', 'CRON', '*/10 * * * * ? *', 'DO_NOTHING', 'FIRST', '', 'http://localhost:8520/api/dbapi/f_set_yield_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\r\n\r\nimport com.xxl.job.core.context.XxlJobHelper;\r\nimport com.xxl.job.core.handler.IJobHandler;\r\n\r\npublic class DemoGlueJobHandler extends IJobHandler {\r\n\r\n	@Override\r\n	public void execute() throws Exception {\r\n		XxlJobHelper.log(\"XXL-JOB, Hello World.\");\r\n	}\r\n\r\n}\r\n', 'GLUE代码初始化', '2023-04-10 20:27:42', '', 1, 1691475550000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (45, 4, 'f_set_total_detail', '2023-04-10 20:28:40', '2023-04-10 20:28:53', 'dbapi', '', 'CRON', '*/10 * * * * ? *', 'DO_NOTHING', 'FIRST', '', 'http://localhost:8520/api/dbapi/f_set_total_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\r\n\r\nimport com.xxl.job.core.context.XxlJobHelper;\r\nimport com.xxl.job.core.handler.IJobHandler;\r\n\r\npublic class DemoGlueJobHandler extends IJobHandler {\r\n\r\n	@Override\r\n	public void execute() throws Exception {\r\n		XxlJobHelper.log(\"XXL-JOB, Hello World.\");\r\n	}\r\n\r\n}\r\n', 'GLUE代码初始化', '2023-04-10 20:28:40', '', 1, 1691475550000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (46, 4, '田园生产-获取产量', '2023-04-17 13:44:28', '2023-04-17 13:54:16', 'dbapi', NULL, 'CRON', '*/10 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_ty_get_output11', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-04-17 13:44:28', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (47, 4, '田园MES生产-获取产量', '2023-04-17 13:54:37', '2023-04-17 15:36:11', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_ty_get_output', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-04-17 13:54:37', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (48, 4, '采集每小时纬度值', '2023-04-25 18:28:23', '2023-04-26 10:23:14', 'dbapi', NULL, 'CRON', '0 0 */1 * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/statisticsErpProductionHour', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-04-25 18:28:23', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (49, 4, '生产-保存班组能耗数据', '2023-06-05 11:31:57', '2023-06-07 08:25:21', 'dbapi', NULL, 'CRON', '*/10 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/dbapi/f_set_trep_group_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-06-05 11:31:57', NULL, 1, 1691475550000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (50, 4, '南泰君霖开放班组开停机报表接口', '2023-06-29 09:13:22', '2023-06-29 09:13:22', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_junlin_trep_group_sta_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-06-29 09:13:22', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (51, 4, '南泰君霖开停机明细记录接口', '2023-07-05 13:16:37', '2023-07-05 13:30:11', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_junlin_trep_sta_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-07-05 13:16:37', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (52, 4, '公共班组能耗报表', '2023-07-11 09:27:03', '2023-07-11 09:42:36', 'dbapi', NULL, 'CRON', '*/5 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/f_pub_trep_group_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-07-11 09:27:03', NULL, 0, 0, 0);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (53, 4, '修复生产报错500的问题', '2023-07-27 15:21:00', '2023-07-27 15:22:40', 'dbapi', NULL, 'CRON', '*/20 * * * * ? *', 'DO_NOTHING', 'FIRST', NULL, 'http://localhost:8520/api/auto_update_sort', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-07-27 15:21:00', NULL, 1, 1691475540000, 1691475560000);
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (54, 4, '君霖班组开机状态报表重算', '2023-08-05 09:26:13', '2023-08-05 10:16:41', 'dbapi', '', 'CRON', '0 1 8 * * ? *', 'DO_NOTHING', 'FIRST', '', 'http://localhost:8520/api/f_trep_repair_group_sta_detail', 'SERIAL_EXECUTION', 0, 0, 'GLUE_GROOVY', 'package com.xxl.job.service.handler;\n\nimport com.xxl.job.core.context.XxlJobHelper;\nimport com.xxl.job.core.handler.IJobHandler;\n\nimport java.io.BufferedReader;\nimport java.io.InputStream;\nimport java.io.InputStreamReader;\nimport java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.util.Arrays;\nimport java.util.Iterator;\nimport org.slf4j.Logger;\nimport org.slf4j.LoggerFactory;\n\npublic class DemoGlueJobHandler extends IJobHandler {\nprivate static Logger logger = LoggerFactory.getLogger(DemoGlueJobHandler.class);\n\n    @Override\n    public void execute() throws Exception {\n        XxlJobHelper.log(\"GLUE(Java)任务执行了！\");\n        logger.info(\"GLUE(Java)任务执行了！\");\n        executeWhile(XxlJobHelper.getJobParam());\n    }\n\n    private void executeWhile(String params) {\n        logger.info(\"GLUE(Java)任务参数为：\" + params);\n        String[] paramsArray = params.split(\",\");\n        Iterator<String> iterator = Arrays.stream(paramsArray).iterator();\n        while (iterator.hasNext()) {\n            executeApi(iterator.next());\n        }\n    }\n\n    private static void executeApi(String httpUrl) {\n        String result = null;\n        InputStream input = null;\n        HttpURLConnection urlcon = null;\n        BufferedReader buffer = null;\n        try {\n            URL url = new URL(httpUrl);\n            urlcon = (HttpURLConnection) url.openConnection();\n            urlcon.setRequestMethod(\"POST\");\n            urlcon.connect();// 获取连接\n            input = urlcon.getInputStream();\n            buffer = new BufferedReader(new InputStreamReader(\n                    input, \"UTF-8\"));\n            StringBuffer bs = new StringBuffer();\n            String line = null;\n            while ((line = buffer.readLine()) != null) {\n                bs.append(line);\n            }\n            result = bs.toString();\n            XxlJobHelper.log(\"result:\" + result);\n            logger.info(\"调用接口【{}】返回值result:{}\", httpUrl, result);\n        } catch (Exception e) {\n            XxlJobHelper.log(\"[请求异常][地址：\" + httpUrl + \"][错误信息：\" + e.getMessage()\n                    + \"]\");\n            logger.error(\"GLUE(Java)任务执行异常：\", e);\n        } finally {\n            try {\n                if (null != input) {\n                    input.close();\n                }\n                if (urlcon != null) {\n                    urlcon.disconnect();\n                }\n                if (buffer != null) {\n                    buffer.close();\n                }\n            } catch (Exception e2) {\n                XxlJobHelper.log(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n                logger.error(\"[关闭流异常][错误信息：\" + e2.getMessage() + \"]\");\n            }\n        }\n    }\n\n\n\n}\n', 'GLUE代码初始化', '2023-08-05 09:26:13', '', 1, 1691452860000, 1691539260000);
COMMIT;

-- ----------------------------
-- Records of xxl_job_lock
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_lock` (`lock_name`) VALUES ('schedule_lock');
COMMIT;

-- ----------------------------
-- Records of xxl_job_registry
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_registry` (`id`, `registry_group`, `registry_key`, `registry_value`, `update_time`) VALUES (31, 'EXECUTOR', 'dbapi-job-executor', 'http://10.227.5.238:8888/', '2023-08-08 14:18:53');
COMMIT;

-- ----------------------------
-- Records of xxl_job_user
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_user` (`id`, `username`, `password`, `role`, `permission`) VALUES (1, 'admin', 'e10adc3949ba59abbe56e057f20f883e', 1, NULL);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
